searchNodes=[{"doc":"Provides a set of helpers to work with Changesets.","ref":"ChangesetHelpers.html","title":"ChangesetHelpers","type":"module"},{"doc":"Returns the nested association in a changeset. This function will first look into the changes and then fails back on data wrapped in a changeset.Changes may be added to the given changeset through the third argument.A tuple is returned containing the original changeset and the changeset of the association.{account_changeset, address_changeset} = change_assoc(account_changeset, [:user, :user_config, :address], %{street: &quot;Foo street&quot;})","ref":"ChangesetHelpers.html#change_assoc/3","title":"ChangesetHelpers.change_assoc/3","type":"function"},{"doc":"This function allows checking if a given field is different between two changesets.{street_changed, street1, street2} = diff_field(account_changeset, new_account_changeset, [:user, :user_config, :address, :street])","ref":"ChangesetHelpers.html#diff_field/3","title":"ChangesetHelpers.diff_field/3","type":"function"},{"doc":"Puts the given nested association in the changeset through a given list of field names.ChangesetHelpers.put_assoc(account_changeset, [:user, :config, :address], address_changeset)Instead of giving a Changeset or a schema as the third argument, a function may also be given in order to modify the nested changeset in one go.ChangesetHelpers.put_assoc(account_changeset, [:user, :articles], &amp;(Enum.concat(&amp;1, [%Article{} |&gt; Ecto.Changeset.change()])))In the code above, we add a new empty Article to the articles association (typically done when we want to add a new article to a form).","ref":"ChangesetHelpers.html#put_assoc/3","title":"ChangesetHelpers.put_assoc/3","type":"function"},{"doc":"ChangesetHelpersThis library provides a set of helper functions to work with Ecto Changesets.put_assoc(changeset, keys, value)Puts the given nested association in the changeset through a given list of field names.ChangesetHelpers.put_assoc(account_changeset, [:user, :config, :address], address_changeset)Instead of giving a Changeset or a schema as the third argument, a function may also be given in order to modify the nested changeset in one go.ChangesetHelpers.put_assoc(account_changeset, [:user, :articles], &amp;(Enum.concat(&amp;1, [%Article{} |&gt; Ecto.Changeset.change()])))In the code above, we add a new empty Article to the articles association (typically done when we want to add a new article to a form).change_assoc(struct_or_changeset, keys, changes \\\\ %{})Returns the nested association in a changeset. This function will first look into the changes and then fails back on data wrapped in a changeset.Changes may be added to the given changeset through the third argument.A tuple is returned containing the original changeset and the changeset of the association.{account_changeset, address_changeset} = change_assoc(account_changeset, [:user, :user_config, :address], %{street: &quot;Foo street&quot;})diff_field(changeset1, changeset2, keys)This function allows checking if a given field is different between two changesets.{street_changed, street1, street2} = diff_field(account_changeset, new_account_changeset, [:user, :user_config, :address, :street])","ref":"readme.html","title":"ChangesetHelpers","type":"extras"},{"doc":"Add changeset_helpers for Elixir as a dependency in your mix.exs file:def deps do [ {:changeset_helpers, &quot;~&gt; 0.2.0&quot;} ] end","ref":"readme.html#installation","title":"ChangesetHelpers - Installation","type":"extras"},{"doc":"HexDocs documentation can be found at https://hexdocs.pm/changeset_helpers.","ref":"readme.html#hexdocs","title":"ChangesetHelpers - HexDocs","type":"extras"}]